> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Return the schema for a specified Dataset

> Retrieves the latest schema definition for a given Dataset ID.



## OpenAPI

````yaml /openapi/product/dataschema.yaml get /api/data/v2/datasources/{DATASET_ID}/schemas/latest
openapi: 3.0.0
info:
  title: Dataset Schema API
  version: v2
  description: API for retrieving the schema of a specified Domo Dataset.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: Datasets
    description: Retrieve Dataset schema information.
paths:
  /api/data/v2/datasources/{DATASET_ID}/schemas/latest:
    get:
      tags:
        - Dataset Schema API
      summary: Return the schema for a specified Dataset
      description: Retrieves the latest schema definition for a given Dataset ID.
      parameters:
        - name: DATASET_ID
          in: path
          required: true
          description: The ID of the Dataset.
          schema:
            type: string
            example: aa7d9422-9abe-4581-bbf3-4a8cb5d3fc25
      responses:
        '200':
          description: OK. Returns the schema object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSchemaResponse'
              example:
                schema:
                  columns:
                    - type: STRING
                      name: Example Column
                      id: col_1
                      visible: true
                      metadata:
                        colLabel: Example Column Label
                        colFormat: ''
                        isEncrypted: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Dataset Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    DatasetSchemaResponse:
      type: object
      properties:
        schema:
          type: object
          properties:
            columns:
              type: array
              items:
                $ref: '#/components/schemas/ColumnSchema'
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message.
    ColumnSchema:
      type: object
      properties:
        type:
          type: string
          example: STRING
        name:
          type: string
          example: Column Name
        id:
          type: string
          example: <ID>
        visible:
          type: boolean
        metadata:
          $ref: '#/components/schemas/ColumnMetadata'
    ColumnMetadata:
      type: object
      properties:
        colLabel:
          type: string
        colFormat:
          type: string
        isEncrypted:
          type: boolean
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````